Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class TransformerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TransformerConfigurationException, TransformerExceptionWrapper

public class TransformerException
extends java.lang.Exception

Represents a exception when creating a transformation.

See Also:
  Serialized Form

Constructor Summary
`TransformerException()` Create a new exception with no error message.
`TransformerException(java.lang.String msg)` Create a new exception with a string error message.
`TransformerException(java.lang.String msg, SourceLocator locator)` Create a new exception with a message and an error location.
`TransformerException(java.lang.String msg, SourceLocator locator, java.lang.Throwable e)` Create a new exception with a message and an error location.
`TransformerException(java.lang.String msg, java.lang.Throwable e)` Create a new exception with a wrapped exception.
`TransformerException(java.lang.Throwable e)` Create a new exception with a wrapped exception.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the wrapped exception.
`java.lang.Throwable` | `getException()` Returns the wrapped exception.
`java.lang.String` | `getLocationAsString()` Returns the exception location as a string.
`SourceLocator` | `getLocator()` Returns the exception location.
`java.lang.String` | `getMessageAndLocation()` Returns the message and it's location
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Initialize the cause.
`void` | `printStackTrace()` Prints the method trace.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints the method trace.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints the method trace.
`void` | `setLocator(SourceLocator locator)` Sets the exception location.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerException

    public TransformerException()

  Create a new exception with no error message.

### TransformerException

    public TransformerException(java.lang.String msg)

  Create a new exception with a string error message.

### TransformerException

    public TransformerException(java.lang.String msg,
                                SourceLocator locator)

  Create a new exception with a message and an error location.

### TransformerException

    public TransformerException(java.lang.String msg,
                                SourceLocator locator,
                                java.lang.Throwable e)

  Create a new exception with a message and an error location.

### TransformerException

    public TransformerException(java.lang.String msg,
                                java.lang.Throwable e)

  Create a new exception with a wrapped exception.

### TransformerException

    public TransformerException(java.lang.Throwable e)

  Create a new exception with a wrapped exception.

Method Detail

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  Initialize the cause.

### getCause

    public java.lang.Throwable getCause()

  Returns the wrapped exception.

### getException

    public java.lang.Throwable getException()

  Returns the wrapped exception.

### getLocator

    public SourceLocator getLocator()

  Returns the exception location.

### setLocator

    public void setLocator(SourceLocator locator)

  Sets the exception location.

### getLocationAsString

    public java.lang.String getLocationAsString()

  Returns the exception location as a string.

### getMessageAndLocation

    public java.lang.String getMessageAndLocation()

  Returns the message and it's location

### printStackTrace

    public void printStackTrace()

  Prints the method trace.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints the method trace.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints the method trace.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD